SKEYINFO(1)

NAME
skeyinfo - obtain the next S/Key challenge for a user

SYNOPSIS
skeyinfo [-v] [user]

DESCRIPTION
skeyinfo prints out the next S/Key challenge for the specified user or for the current user if no user is specified.

The options are as follows:

-v  Print the hash algorithm as well.

FILES

/etc/skey
    directory containing user entries for S/Key

EXAMPLES
$ skey -n number of passwords to print `skeyinfo` lpr

This would print out a list of S/Key passwords for use over an untrusted network (perhaps for use at a conference).

ERRORS

cannot open /etc/skey/user
    The user does not have an entry in /etc/skey or access to the S/Key database has been disabled. The database can be enabled with the skeyinit(1) program.

user is not listed in /etc/skey
    The S/Key database is enabled but the user does not have an entry in it. The skeyinit(1) program can be used to create an entry for the user.

SEE ALSO
skey(1), skeyinit(1)